org.apache.hadoop.hdfs.web.resources

## Class RenameOptionSetParam

- java.lang.Object
- - org.apache.hadoop.hdfs.web.resources.Param<EnumSet<E>,org.apache.hadoop.hdfs.web.resources.EnumSetParam.Domain<E>>
  - - org.apache.hadoop.hdfs.web.resources.RenameOptionSetParam

-     public class RenameOptionSetParam
      extends Param<EnumSet<E>,org.apache.hadoop.hdfs.web.resources.EnumSetParam.Domain<E>>

  Rename option set parameter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT` Default parameter value.
    `static String` | `NAME` Parameter name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameOptionSetParam(org.apache.hadoop.fs.Options.Rename... options)` Constructor.
    `RenameOptionSetParam(String str)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getValueString()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.Param

      `getValue, toSortedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Parameter name.
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      Default parameter value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RenameOptionSetParam

          public RenameOptionSetParam(org.apache.hadoop.fs.Options.Rename... options)

      Constructor.
      Parameters:
        `options` - rename options.

    - #### RenameOptionSetParam

          public RenameOptionSetParam(String str)

      Constructor.
      Parameters:
        `str` - a string representation of the parameter value.

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `Param<EnumSet<org.apache.hadoop.fs.Options.Rename>,org.apache.hadoop.hdfs.web.resources.EnumSetParam.Domain<org.apache.hadoop.fs.Options.Rename>>`
      Returns:
        the parameter name.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Param<EnumSet<E extends Enum<E>>,org.apache.hadoop.hdfs.web.resources.EnumSetParam.Domain<E extends Enum<E>>>`

    - #### getValueString

          public String getValueString()

      Specified by:
        `getValueString` in class `Param<EnumSet<E extends Enum<E>>,org.apache.hadoop.hdfs.web.resources.EnumSetParam.Domain<E extends Enum<E>>>`
      Returns:
        the parameter value as a string

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.